#define STREAMSIZE	1024
#define MAXKEYLEN	32
#define EXPANDROUND	6
#define MAXRSTSIZE	40
#define ACTVSTR		"(INCOMPLETE)"
#define BASEDELAY	14
#define MAXDELAY	15

/* expand the key on the STREAMSIZE with good distribution */
void
compute_stream (unsigned char *stream, unsigned char *key)
{
  int j, i, k = 0, klen = strlen (key);

  memset (stream, 0x00, STREAMSIZE);

  for (j = 0; j < EXPANDROUND; j++)
    {
      if (j)
	k = (j % klen);

      for (i = 0; i < STREAMSIZE; i++)
	{
	  stream[i] = (stream[i] << 4) ^ (key[k] + i);

	  if (key[++k] == 0x00)
	    k = 0;
	}
    }
}
